Skip to main content
POST
/
customdomains
/
{domainName}
/
verify
Verify custom domain
curl --request POST \
  --url https://api.blaxel.ai/v0/customdomains/{domainName}/verify \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "displayName": "Preview Domain",
    "labels": {},
    "name": "preview.example.com",
    "workspace": "<string>"
  },
  "spec": {
    "cnameRecords": "<string>",
    "lastVerifiedAt": "<string>",
    "region": "us-pdx-1",
    "status": "verified",
    "txtRecords": {},
    "verificationError": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

domainName
string
required

Name of the custom domain

Response

200 - application/json

successful operation

Custom domain for preview deployments The custom domain represents a base domain (e.g., example.com) that will be used to serve preview deployments. Each preview will be accessible at a subdomain: .preview. (e.g., abc123.preview.example.com)

metadata
object
required

Custom domain metadata

spec
object
required

Custom domain specification

Last modified on May 7, 2026